#!/bin/perl
#################################################################################
# Created       : Martin Foster
# Modified      : 06/07/2001
#################################################################################
#
# Realm - Script part of Webchat designed to use the realms
# Copyright (C) 2000-2001  Martin Foster
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Author of this script can be contacted at the following:
#       E-Mail  : martin@ethereal-realms.org
#       Address : 204 - 817, 5th Street NE
#                 Calgary, Alberta
#                 T2E 3W9
#
#################################################################################

use CGI qw(:standard);						# Common gateway interface
use CGI::Carp qw(fatalsToBrowser);				# CGI Error logs
use FileHandle;							# Filehandle
use strict;							# Strict variable enforcement

use Ethereal::Param;						# Parameter control
use Ethereal::Table;						# Table handler


#################################################################################
# Data Members
#################################################################################
my $cgi;							# Common gateway interface handle
my $param;							# Parameter
my $table;

#################################################################################
# Program Area
#################################################################################

	$cgi   = new CGI;						# Create CGI Handle
	$param = new Ethereal::Param();

	$param->GetParam($cgi);						# Retreive parameters

	# Generate String
	my ($string) = $param->EmbedInline($cgi, %{$param});

	# HTML Display
	print $cgi->header();
	print $cgi->start_html();
	
	print $cgi->p($string);

	print $cgi->end_html();

